//<c>   Copyright 1984-2000 by Gerry J. Danen; all rights reserved.

//<t>   Print 0..31 Squared


#include"gd_tools.h"
#include"gd_ansi.h"


unsigned long two_raised(int);


unsigned long two_raised( int n )
{
    unsigned long r = 1L ;

    if ( n < 0 || n > 31 )
        return( 0L );
    if ( n )
        r = (r << n);
    return( r );
}


void    prt( int x )
{
    printf( "%6d:%12lu %2d bit%s", x, two_raised(x), x+1, (x==0 ? " " : "s") );
}


void    main( void )
{
    int n ;

    ansi_cls( 5, stdout );

    printf( "\nPowers of 2\n\n" );
    for ( n=0 ; n<16 ; n++ )
    {
        prt( n );
        printf( "\t\t" );
        prt( n+16 );
        printf( "\n" );
    }
}
